# Uses of Class
org.apache.zookeeper.graph.FilterException

Packages that use FilterException
Package
Description
org.apache.zookeeper.graph
org.apache.zookeeper.graph.filterops

## Uses of FilterException in org.apache.zookeeper.graph

Methods in org.apache.zookeeper.graph that throw FilterException
Modifier and Type
Method
Description
`LogIterator`
Log4JSource.`iterator(long starttime, long endtime, FilterOp filter)`
`LogIterator`
LogSource.`iterator(long starttime, long endtime, FilterOp filter)`
`LogIterator`
MergedLogSource.`iterator(long starttime, long endtime, FilterOp filter)`
`LogIterator`
TxnLogSource.`iterator(long starttime, long endtime, FilterOp filter)`
`static void`
FilterParser.`main(String[] args)`
`static void`
TxnLogSource.`main(String[] args)`
`abstract boolean`
FilterOp.`matches(LogEntry entry)`
`static FilterOp`
FilterOp.`newOp(String op)`
`FilterOp`
FilterParser.`parse()`

## Uses of FilterException in org.apache.zookeeper.graph.filterops

Methods in org.apache.zookeeper.graph.filterops that throw FilterException
Modifier and Type
Method
Description
`boolean`
AndOp.`matches(LogEntry entry)`
`boolean`
EqualsOp.`matches(LogEntry entry)`
`boolean`
GreaterThanOp.`matches(LogEntry entry)`
`boolean`
LessThanOp.`matches(LogEntry entry)`
`boolean`
NotOp.`matches(LogEntry entry)`
`boolean`
OrOp.`matches(LogEntry entry)`
`boolean`
XorOp.`matches(LogEntry entry)`